
GO

/****** Object:  StoredProcedure [dbo].[ins_rep_reporte]    Script Date: 01/09/2014 15:22:55 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_rep_reporte]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[ins_rep_reporte]
GO

GO

/****** Object:  StoredProcedure [dbo].[ins_rep_reporte]    Script Date: 01/09/2014 15:22:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[ins_rep_reporte]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_reporte varchar(300),
		@p_reporte_codigo varchar(100),
		@p_id_funcionalidad int,
		@p_esFormato bit,
		@p_tieneGraficos bit,
		@p_cabecera varchar(1),
		@p_orden int,
		@p_basica int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [rep_reporte]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[reporte],
			[reporte_codigo],
			[id_funcionalidad],
			[esFormato],
			[tieneGraficos],
			[cabecera],
			[orden],
			[basica])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_reporte,
			@p_reporte_codigo,
			@p_id_funcionalidad,
			@p_esFormato,
			@p_tieneGraficos,
			@p_cabecera,
			@p_orden,
			@p_basica)
		SET @v_id = scope_identity()
UPDATE [rep_reporte] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END

GO





